Subject: Re: [GROW] Repeated Errors in BGP - draft-ietf-grow-ops-reqs-for-bgp-error-handling

From: [email-masked] (Noel Chiappa)
Date: Mon, 16 Apr 2012 08:40:49 -0400 (EDT)

> From: Jakob Heitz <[email-masked]>

    > 1. Error handling must be simple, lest we have to handle errors of the
    > error handling, ad infinitum...

    > 2. Error handling should be restricted to error isolation and
    > reporting. It should refrain from attempting error recovery.

I'm going to agree with TLi that these are the basic principles to follow.

In a more advanced architecture (i.e. Map-Distribution based), it might be
possible to do something more advanced in the way of automatic error
analysis/response. However, as things stand, 'ring an alarm bell and have
a human look at it' is about all you can do.

	Noel